task index {
	File snv_gzvcf
	File indel_gzvcf
	String sample
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		mv ${snv_gzvcf} ./${sample}.snv.vcf.gz
		mv ${indel_gzvcf} ./${sample.indel.vcf.gz}
		rtg index -f vcf ${sample}.snv.vcf.gz
		rtg index -f vcf ${sample}.indel.vcf.gz
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File snv_gzvcf_index = "${sample}.snv.vcf.gz.tbi"
		File indel_gzvcf_index = "${sample}.indel.vcf.gz.tbi"
	}
}